LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-12-2019, 03:18 AM   #1
Dain_Bramage
LQ Newbie
 
Registered: Mar 2019
Posts: 21

Rep: Reputation: Disabled
Bind-9.14 install from source


Hi,

I am running Zorin 15 and am trying to install Bind-9.14 from source by following the instructions here:

https://kb.isc.org/docs/aa-00768

However when I do

Code:
./configure --with-openssl --enable-threads --with-libxml2
I get

Code:
configure: error: sys/capability.h header is required for Linux capabilities support. Either install libcap or use --disable-linux-caps.
I have installed the following prior to compile

Code:
apt install libxml2 libssl-dev libxml2-dev python3-ply
I have tried

Code:
apt install linux-headers-$(uname -r)
and

Code:
apt-get install libpcap-dev
to no avail. Does anyone know the dependency I am missing?

Thank you in advance.

Last edited by Dain_Bramage; 07-12-2019 at 03:19 AM.
 
Old 07-12-2019, 04:10 AM   #2
bathory
LQ Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 12,505

Rep: Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769
Quote:
configure: error: sys/capability.h header is required for Linux capabilities support. Either install libcap or use --disable-linux-caps.
Mind that it's libcap not libpcap, so you should search for the libcap-dev package. Ubuntu has this package, so I guess zorin that's based on ubuntu it should have it also.
Anyway, if you can't find it, you can disable capabilities, using the "--disable-linux-caps" option.

Also note that from bind-9.10.x onwards, threads are enabled by default for linux, so you don't need the "--enable-threads" option.


Regards
 
Old 07-12-2019, 04:38 AM   #3
Dain_Bramage
LQ Newbie
 
Registered: Mar 2019
Posts: 21

Original Poster
Rep: Reputation: Disabled
Wink

Thank you Bathory :-)
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Bind problem: config files are missing after re-install bind 9.5 on Fedora Core 8 elvisious Linux - Software 1 07-15-2008 07:49 PM
How to update BIND ./etc/bind/db.coaxcables AndeAnderson Debian 0 03-03-2006 09:35 AM
Bind 8 and Bind 9 sierra Linux - Networking 2 03-16-2005 11:15 AM
How do I revert to Bind 8 from Bind 9? digging4roots Linux - Newbie 3 06-08-2002 04:40 PM
To 'Bind' or not to 'Bind' that is the question jsurgeson Linux - Newbie 2 03-24-2002 03:10 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:30 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration